<?php
// This file was auto-generated from sdk-root/src/data/serverlessrepo/2017-09-08/docs-2.json
return [ 'version' => '2.0', 'service' => 'AWS Serverless Application Repository', 'operations' => [ 'CreateApplication' => 'Creates an application, optionally including an AWS SAM file to create the first application version in the same call.', 'CreateApplicationVersion' => 'Creates an application version.', 'CreateCloudFormationChangeSet' => 'Creates an AWS CloudFormation ChangeSet for the given application.', 'GetApplication' => 'Gets the specified application.', 'GetApplicationPolicy' => 'Gets the policy for the specified application.', 'ListApplicationVersions' => 'Lists versions for the specified application.', 'ListApplications' => 'Lists applications owned by the requester.', 'PutApplicationPolicy' => 'Puts the policy for the specified application.', 'UpdateApplication' => 'Updates the specified application.', ], 'shapes' => [ 'Application' => [ 'base' => 'Details about the application.', 'refs' => [], ], 'ApplicationPage' => [ 'base' => 'List of application details.', 'refs' => [], ], 'ApplicationPolicy' => [ 'base' => 'Policy statements applied to the application.', 'refs' => [], ], 'ApplicationPolicyStatement' => [ 'base' => 'Policy statement applied to the application.', 'refs' => [ 'ListOfApplicationPolicyStatement$member' => NULL, ], ], 'ApplicationSummary' => [ 'base' => 'Summary of details about the application.', 'refs' => [ 'ListOfApplicationSummary$member' => NULL, ], ], 'ApplicationVersionPage' => [ 'base' => 'List of version summaries for the application.', 'refs' => [], ], 'BadRequestException' => [ 'base' => 'One of the parameters in the request is invalid.', 'refs' => [], ], 'ChangeSetDetails' => [ 'base' => 'Details of the change set.', 'refs' => [], ], 'ConflictException' => [ 'base' => 'The resource already exists.', 'refs' => [], ], 'CreateApplicationInput' => [ 'base' => 'Create application request.', 'refs' => [], ], 'CreateApplicationVersionInput' => [ 'base' => 'Create version request.', 'refs' => [], ], 'CreateCloudFormationChangeSetInput' => [ 'base' => 'Create application ChangeSet request.', 'refs' => [], ], 'ForbiddenException' => [ 'base' => 'The client is not authenticated.', 'refs' => [], ], 'InternalServerErrorException' => [ 'base' => 'The AWS Serverless Application Repository service encountered an internal error.', 'refs' => [], ], 'ListOfApplicationPolicyStatement' => [ 'base' => NULL, 'refs' => [ 'ApplicationPolicy$Statements' => 'Array of policy statements applied to the application.', ], ], 'ListOfApplicationSummary' => [ 'base' => NULL, 'refs' => [ 'ApplicationPage$Applications' => 'Array of application summaries.', ], ], 'ListOfParameterDefinition' => [ 'base' => NULL, 'refs' => [ 'Version$ParameterDefinitions' => 'Array of parameter types supported by the application.', ], ], 'ListOfParameterValue' => [ 'base' => NULL, 'refs' => [ 'CreateCloudFormationChangeSetInput$ParameterOverrides' => 'A list of parameter values for the parameters of the application.', ], ], 'ListOfVersionSummary' => [ 'base' => NULL, 'refs' => [ 'ApplicationVersionPage$Versions' => 'Array of version summaries for the application.', ], ], 'ListOf__string' => [ 'base' => NULL, 'refs' => [ 'Application$Labels' => 'Labels to improve discovery of apps in search results.\\nMin Length=1. Max Length=127. Maximum number of labels: 10\\nPattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";', 'ApplicationPolicyStatement$Actions' => 'A list of supported actions:\\n\\n GetApplication \\n \\n\\n CreateCloudFormationChangeSet \\n \\n\\n ListApplicationVersions \\n \\n\\n SearchApplications \\n \\n\\n Deploy (Note: This action enables all other actions above.)', 'ApplicationPolicyStatement$Principals' => 'An AWS account ID, or * to make the application public.', 'ApplicationSummary$Labels' => 'Labels to improve discovery of apps in search results.\\nMin Length=1. Max Length=127. Maximum number of labels: 10\\nPattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";', 'CreateApplicationInput$Labels' => 'Labels to improve discovery of apps in search results.\\nMin Length=1. Max Length=127. Maximum number of labels: 10\\nPattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";', 'ParameterDefinition$AllowedValues' => 'Array containing the list of values allowed for the parameter.', 'ParameterDefinition$ReferencedByResources' => 'A list of SAM resources that use this parameter.', 'UpdateApplicationInput$Labels' => 'Labels to improve discovery of apps in search results.\\nMin Length=1. Max Length=127. Maximum number of labels: 10\\nPattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";', ], ], 'NotFoundException' => [ 'base' => 'The resource (for example, an access policy statement) specified in the request does not exist.', 'refs' => [], ], 'ParameterDefinition' => [ 'base' => 'Parameters supported by the application.', 'refs' => [ 'ListOfParameterDefinition$member' => NULL, ], ], 'ParameterValue' => [ 'base' => 'Parameter value of the application.', 'refs' => [ 'ListOfParameterValue$member' => NULL, ], ], 'TooManyRequestsException' => [ 'base' => 'The client is sending more than the allowed number of requests per unit time.', 'refs' => [], ], 'UpdateApplicationInput' => [ 'base' => 'Update application request.', 'refs' => [], ], 'Version' => [ 'base' => 'Application version details.', 'refs' => [ 'Application$Version' => 'Version information about the application.', ], ], 'VersionSummary' => [ 'base' => 'Application version summary.', 'refs' => [ 'ListOfVersionSummary$member' => NULL, ], ], '__boolean' => [ 'base' => NULL, 'refs' => [ 'ParameterDefinition$NoEcho' => 'Whether to mask the parameter value whenever anyone makes a call that describes the stack. If you set the\\n value to true, the parameter value is masked with asterisks (*****).', ], ], '__integer' => [ 'base' => NULL, 'refs' => [ 'ParameterDefinition$MaxLength' => 'An integer value that determines the largest number of characters you want to allow for String types.', 'ParameterDefinition$MaxValue' => 'A numeric value that determines the largest numeric value you want to allow for Number types.', 'ParameterDefinition$MinLength' => 'An integer value that determines the smallest number of characters you want to allow for String types.', 'ParameterDefinition$MinValue' => 'A numeric value that determines the smallest numeric value you want to allow for Number types.', ], ], '__string' => [ 'base' => NULL, 'refs' => [ 'Application$ApplicationId' => 'The application Amazon Resource Name (ARN).', 'Application$Author' => 'The name of the author publishing the app.\\nMin Length=1. Max Length=127.\\nPattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";', 'Application$CreationTime' => 'The date/time this resource was created.', 'Application$Description' => 'The description of the application.\\nMin Length=1. Max Length=256', 'Application$LicenseUrl' => 'A link to a license file of the app that matches the spdxLicenseID of your application.\\nMax size 5 MB', 'Application$Name' => 'The name of the application.\\nMin Length=1. Max Length=140\\nPattern: "[a-zA-Z0-9\\\\-]+";', 'Application$ReadmeUrl' => 'A link to the Readme file that contains a more detailed description of the application and how it works in markdown language.\\nMax size 5 MB', 'Application$SpdxLicenseId' => 'A valid identifier from https://spdx.org/licenses/.', 'ApplicationPage$NextToken' => 'The token to request the next page of results.', 'ApplicationPolicyStatement$StatementId' => 'A unique ID for the statement.', 'ApplicationSummary$ApplicationId' => 'The application ARN.', 'ApplicationSummary$Author' => 'The name of the author publishing the app\\nMin Length=1. Max Length=127.\\nPattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";', 'ApplicationSummary$CreationTime' => 'The date/time this resource was created.', 'ApplicationSummary$Description' => 'The description of the application.\\nMin Length=1. Max Length=256', 'ApplicationSummary$Name' => 'The name of the application.\\nMin Length=1. Max Length=140\\nPattern: "[a-zA-Z0-9\\\\-]+";', 'ApplicationSummary$SpdxLicenseId' => 'A valid identifier from https://spdx.org/licenses/ .', 'ApplicationVersionPage$NextToken' => 'The token to request the next page of results.', 'BadRequestException$ErrorCode' => '400', 'BadRequestException$Message' => 'One of the parameters in the request is invalid.', 'ChangeSetDetails$ApplicationId' => 'The application Amazon Resource Name (ARN).', 'ChangeSetDetails$ChangeSetId' => 'The ARN of the change set.\\nLength Constraints: Minimum length of 1.\\nPattern: arn:[-a-zA-Z0-9:/]*', 'ChangeSetDetails$SemanticVersion' => 'The semantic version of the application:\\n\\n https://semver.org/', 'ChangeSetDetails$StackId' => 'The unique ID of the stack.', 'ConflictException$ErrorCode' => '409', 'ConflictException$Message' => 'The resource already exists.', 'CreateApplicationInput$Author' => 'The name of the author publishing the app.\\nMin Length=1. Max Length=127.\\nPattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";', 'CreateApplicationInput$Description' => 'The description of the application.\\nMin Length=1. Max Length=256', 'CreateApplicationInput$LicenseBody' => 'A raw text file that contains the license of the app that matches the spdxLicenseID of your application.\\nMax size 5 MB', 'CreateApplicationInput$LicenseUrl' => 'A link to a license file of the app that matches the spdxLicenseID of your application.\\nMax size 5 MB', 'CreateApplicationInput$Name' => 'The name of the application you want to publish.\\nMin Length=1. Max Length=140\\nPattern: "[a-zA-Z0-9\\\\-]+";', 'CreateApplicationInput$ReadmeBody' => 'A raw text Readme file that contains a more detailed description of the application and how it works in markdown language.\\nMax size 5 MB', 'CreateApplicationInput$ReadmeUrl' => 'A link to the Readme file that contains a more detailed description of the application and how it works in markdown language.\\nMax size 5 MB', 'CreateApplicationInput$SemanticVersion' => 'The semantic version of the application:\\n\\n https://semver.org/', 'CreateApplicationInput$SourceCodeUrl' => 'A link to a public repository for the source code of your application.', 'CreateApplicationInput$SpdxLicenseId' => 'A valid identifier from https://spdx.org/licenses/ .', 'CreateApplicationInput$TemplateBody' => 'The raw packaged SAM template of your application.', 'CreateApplicationInput$TemplateUrl' => 'A link to the packaged SAM template of your application.', 'CreateApplicationVersionInput$SourceCodeUrl' => 'A link to a public repository for the source code of your application.', 'CreateApplicationVersionInput$TemplateBody' => 'The raw packaged SAM template of your application.', 'CreateApplicationVersionInput$TemplateUrl' => 'A link to the packaged SAM template of your application.', 'CreateCloudFormationChangeSetInput$SemanticVersion' => 'The semantic version of the application:\\n\\n https://semver.org/', 'CreateCloudFormationChangeSetInput$StackName' => 'The name or the unique ID of the stack for which you are creating a change set. AWS CloudFormation generates\\n the change set by comparing this stack\'s information with the information that you submit, such as a modified\\n template or different parameter input values. \\nConstraints: Minimum length of 1.\\nPattern: ([a-zA-Z][-a-zA-Z0-9]*)|(arn:\\b(aws|aws-us-gov|aws-cn)\\b:[-a-zA-Z0-9:/._+]*)', 'ForbiddenException$ErrorCode' => '403', 'ForbiddenException$Message' => 'The client is not authenticated.', 'InternalServerErrorException$ErrorCode' => '500', 'InternalServerErrorException$Message' => 'The AWS Serverless Application Repository service encountered an internal error.', 'ListOf__string$member' => NULL, 'NotFoundException$ErrorCode' => '404', 'NotFoundException$Message' => 'The resource (for example, an access policy statement) specified in the request does not exist.', 'ParameterDefinition$AllowedPattern' => 'A regular expression that represents the patterns to allow for String types.', 'ParameterDefinition$ConstraintDescription' => 'A string that explains a constraint when the constraint is violated. For example, without a constraint description,\\n a parameter that has an allowed pattern of [A-Za-z0-9]+ displays the following error message when the user\\n specifies an invalid value:\\n\\n Malformed input-Parameter MyParameter must match pattern [A-Za-z0-9]+ \\n \\nBy adding a constraint description, such as "must contain only uppercase and lowercase letters, and numbers," you can display\\n the following customized error message:\\n\\n Malformed input-Parameter MyParameter must contain only uppercase and lowercase letters and numbers.', 'ParameterDefinition$DefaultValue' => 'A value of the appropriate type for the template to use if no value is specified when a stack is created.\\n If you define constraints for the parameter, you must specify a value that adheres to those constraints.', 'ParameterDefinition$Description' => 'A string of up to 4,000 characters that describes the parameter.', 'ParameterDefinition$Name' => 'The name of the parameter.', 'ParameterDefinition$Type' => 'The type of the parameter.\\nValid values: String | Number | List<Number> | CommaDelimitedList \\n \\n\\n String : A literal string.\\nFor example, users could specify "MyUserName" .\\n\\n Number : An integer or float. AWS CloudFormation validates the parameter value as a number; however, when you use the\\n parameter elsewhere in your template (for example, by using the Ref intrinsic function), the parameter value becomes a string.\\nFor example, users could specify "8888" .\\n\\n List<Number> : An array of integers or floats that are separated by commas. AWS CloudFormation validates the parameter value as numbers; however, when\\n you use the parameter elsewhere in your template (for example, by using the Ref intrinsic function), the parameter value becomes a list of strings.\\nFor example, users could specify "80,20", and a Ref results in ["80","20"] .\\n\\n CommaDelimitedList : An array of literal strings that are separated by commas. The total number of strings should be one more than the total number of commas.\\n Also, each member string is space-trimmed.\\nFor example, users could specify "test,dev,prod", and a Ref results in ["test","dev","prod"] .', 'ParameterValue$Name' => 'The key associated with the parameter. If you don\'t specify a key and value for a particular parameter, AWS CloudFormation\\n uses the default value that is specified in your template.', 'ParameterValue$Value' => 'The input value associated with the parameter.', 'TooManyRequestsException$ErrorCode' => '429', 'TooManyRequestsException$Message' => 'The client is sending more than the allowed number of requests per unit time.', 'UpdateApplicationInput$Author' => 'The name of the author publishing the app.\\nMin Length=1. Max Length=127.\\nPattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";', 'UpdateApplicationInput$Description' => 'The description of the application.\\nMin Length=1. Max Length=256', 'UpdateApplicationInput$ReadmeBody' => 'A raw text Readme file that contains a more detailed description of the application and how it works in markdown language.\\nMax size 5 MB', 'UpdateApplicationInput$ReadmeUrl' => 'A link to the Readme file that contains a more detailed description of the application and how it works in markdown language.\\nMax size 5 MB', 'Version$ApplicationId' => 'The application Amazon Resource Name (ARN).', 'Version$CreationTime' => 'The date/time this resource was created.', 'Version$SemanticVersion' => 'The semantic version of the application:\\n\\n https://semver.org/', 'Version$SourceCodeUrl' => 'A link to a public repository for the source code of your application.', 'Version$TemplateUrl' => 'A link to the packaged SAM template of your application.', 'VersionSummary$ApplicationId' => 'The application Amazon Resource Name (ARN).', 'VersionSummary$CreationTime' => 'The date/time this resource was created.', 'VersionSummary$SemanticVersion' => 'The semantic version of the application:\\n\\n https://semver.org/', 'VersionSummary$SourceCodeUrl' => 'A link to a public repository for the source code of your application.', ], ], ],];
