<?php
// This file was auto-generated from sdk-root/src/data/servicediscovery/2017-03-14/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon Route 53 autonaming lets you configure public or private namespaces that your microservice applications run in. When instances of the service become available, you can call the autonaming API to register the instance, and Amazon Route 53 automatically creates up to five DNS records and an optional health check. Clients that submit DNS queries for the service receive an answer that contains up to eight healthy records.</p>', 'operations' => [ 'CreatePrivateDnsNamespace' => '<p>Creates a private namespace based on DNS, which will be visible only inside a specified Amazon VPC. The namespace defines your service naming scheme. For example, if you name your namespace <code>example.com</code> and name your service <code>backend</code>, the resulting DNS name for the service will be <code>backend.example.com</code>. You can associate more than one service with the same namespace.</p>', 'CreatePublicDnsNamespace' => '<p>Creates a public namespace based on DNS, which will be visible on the internet. The namespace defines your service naming scheme. For example, if you name your namespace <code>example.com</code> and name your service <code>backend</code>, the resulting DNS name for the service will be <code>backend.example.com</code>. You can associate more than one service with the same namespace.</p>', 'CreateService' => '<p>Creates a service, which defines a template for the following entities:</p> <ul> <li> <p>One to five resource record sets</p> </li> <li> <p>Optionally, a health check</p> </li> </ul> <p>After you create the service, you can submit a <a>RegisterInstance</a> request, and Amazon Route 53 uses the values in the template to create the specified entities. </p>', 'DeleteNamespace' => '<p>Deletes a namespace from the current account. If the namespace still contains one or more services, the request fails.</p>', 'DeleteService' => '<p>Deletes a specified service. If the service still contains one or more registered instances, the request fails.</p>', 'DeregisterInstance' => '<p>Deletes the resource record sets and the health check, if any, that Amazon Route 53 created for the specified instance.</p>', 'GetInstance' => '<p>Gets information about a specified instance.</p>', 'GetInstancesHealthStatus' => '<p>Gets the current health status (<code>Healthy</code>, <code>Unhealthy</code>, or <code>Unknown</code>) of one or more instances that are associated with a specified service.</p>', 'GetNamespace' => '<p>Gets information about a namespace.</p>', 'GetOperation' => '<p>Gets information about any operation that returns an operation ID in the response, such as a <code>CreateService</code> request. To get a list of operations that match specified criteria, see <a>ListOperations</a>.</p>', 'GetService' => '<p>Gets the settings for a specified service.</p>', 'ListInstances' => '<p>Gets summary information about the instances that you created by using a specified service.</p>', 'ListNamespaces' => '<p>Gets information about the namespaces that were created by the current AWS account.</p>', 'ListOperations' => '<p>Lists operations that match the criteria that you specify.</p>', 'ListServices' => '<p>Gets settings for all the services that are associated with one or more specified namespaces.</p>', 'RegisterInstance' => '<p>Creates one or more resource record sets and optionally a health check based on the settings in a specified service. When you submit a <code>RegisterInstance</code> request, Amazon Route 53 does the following:</p> <ul> <li> <p>Creates a resource record set for each resource record set template in the service</p> </li> <li> <p>Creates a health check based on the settings in the health check template in the service, if any</p> </li> <li> <p>Associates the health check, if any, with each of the resource record sets</p> </li> </ul> <important> <p>One <code>RegisterInstance</code> request must complete before you can submit another request and specify the same service and instance ID.</p> </important> <p>For more information, see <a>CreateService</a>.</p> <p>When Amazon Route 53 receives a DNS query for the specified DNS name, it returns the applicable value:</p> <ul> <li> <p> <b>If the health check is healthy</b>: returns all the resource record sets</p> </li> <li> <p> <b>If the health check is unhealthy</b>: returns the IP address of the last healthy instance</p> </li> <li> <p> <b>If you didn\'t specify a health check template</b>: returns all the resource record sets</p> </li> </ul>', 'UpdateService' => '<p>Updates the TTL setting for a specified service. You must specify all the resource record set templates (and, optionally, a health check template) that you want to appear in the updated service. Any current resource record set templates (or health check template) that don\'t appear in an <code>UpdateService</code> request are deleted.</p> <p>When you update the TTL setting for a service, Amazon Route 53 also updates the corresponding settings in all the resource record sets and health checks that were created by using the specified service.</p>', ], 'shapes' => [ 'Arn' => [ 'base' => NULL, 'refs' => [ 'Namespace$Arn' => '<p>The Amazon Resource Name (ARN) that Amazon Route 53 assigns to the namespace when you create it.</p>', 'NamespaceSummary$Arn' => '<p>The Amazon Resource Name (ARN) that Amazon Route 53 assigns to the namespace when you create it.</p>', 'Service$Arn' => '<p>The Amazon Resource Name (ARN) that Amazon Route 53 assigns to the service when you create it.</p>', 'ServiceSummary$Arn' => '<p>The Amazon Resource Name (ARN) that Amazon Route 53 assigns to the service when you create it.</p>', ], ], 'AttrKey' => [ 'base' => NULL, 'refs' => [ 'Attributes$key' => NULL, ], ], 'AttrValue' => [ 'base' => NULL, 'refs' => [ 'Attributes$value' => NULL, ], ], 'Attributes' => [ 'base' => NULL, 'refs' => [ 'Instance$Attributes' => '<p>A string map that contains attribute keys and values. Supported attribute keys include the following:</p> <ul> <li> <p> <code>AWS_INSTANCE_PORT</code>: The port on the endpoint that you want Amazon Route 53 to perform health checks on. This value is also used for the port value in an SRV record if the service that you specify includes an SRV record. For more information, see <a>CreateService</a>.</p> </li> <li> <p> <code>AWS_INSTANCE_IP</code>: If the service that you specify contains a resource record set template for an A or AAAA record, the IP address that you want Amazon Route 53 to use for the value of the A record.</p> </li> <li> <p> <code>AWS_INSTANCE_WEIGHT</code>: The weight value in an SRV record if the service that you specify includes an SRV record. You can also specify a default weight that is applied to all instances in the <code>Service</code> configuration. For more information, see <a>CreateService</a>.</p> </li> <li> <p> <code>AWS_INSTANCE_PRIORITY</code>: The priority value in an SRV record if the service that you specify includes an SRV record.</p> </li> </ul>', 'InstanceSummary$Attributes' => '<p>A string map that contain attribute keys and values for an instance. Supported attribute keys include the following:</p> <ul> <li> <p> <code>AWS_INSTANCE_PORT</code>: The port on the endpoint that you want Amazon Route 53 to perform health checks on. This value is also used for the port value in an SRV record if the service that you specify includes an SRV record. For more information, see <a>CreateService</a>.</p> </li> <li> <p> <code>AWS_INSTANCE_IP</code>: If the service that you specify contains a resource record set template for an A or AAAA record, the IP address that you want Amazon Route 53 to use for the value of the A record.</p> </li> </ul>', 'RegisterInstanceRequest$Attributes' => '<p>A string map that contain attribute keys and values. Supported attribute keys include the following:</p> <ul> <li> <p> <code>AWS_INSTANCE_PORT</code>: The port on the endpoint that you want Amazon Route 53 to perform health checks on. This value is also used for the port value in an SRV record if the service that you specify includes an SRV record. For more information, see <a>CreateService</a>.</p> </li> <li> <p> <code>AWS_INSTANCE_IPV4</code>: If the service that you specify contains a resource record set template for an A record, the IPv4 address that you want Amazon Route 53 to use for the value of the A record.</p> </li> <li> <p> <code>AWS_INSTANCE_IPV6</code>: If the service that you specify contains a resource record set template for an AAAA record, the IPv6 address that you want Amazon Route 53 to use for the value of the AAAA record.</p> </li> </ul>', ], ], 'Code' => [ 'base' => NULL, 'refs' => [ 'Operation$ErrorCode' => '<p>The code associated with <code>ErrorMessage</code>.</p>', ], ], 'CreatePrivateDnsNamespaceRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreatePrivateDnsNamespaceResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreatePublicDnsNamespaceRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreatePublicDnsNamespaceResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateServiceRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateServiceResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteNamespaceRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteNamespaceResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteServiceRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteServiceResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeregisterInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeregisterInstanceResponse' => [ 'base' => NULL, 'refs' => [], ], 'DnsConfig' => [ 'base' => '<p>A complex type that contains information about the resource record sets that you want Amazon Route 53 to create when you register an instance.</p>', 'refs' => [ 'CreateServiceRequest$DnsConfig' => '<p>A complex type that contains information about the resource record sets that you want Amazon Route 53 to create when you register an instance. </p>', 'Service$DnsConfig' => '<p>A complex type that contains information about the resource record sets that you want Amazon Route 53 to create when you register an instance.</p>', ], ], 'DnsConfigChange' => [ 'base' => '<p>A complex type that contains information about changes to the resource record sets that Amazon Route 53 creates when you register an instance.</p>', 'refs' => [ 'ServiceChange$DnsConfig' => '<p>A complex type that contains information about the resource record sets that you want Amazon Route 53 to create when you register an instance.</p>', ], ], 'DnsProperties' => [ 'base' => '<p>A complex type that contains the ID for the hosted zone that Amazon Route 53 creates when you create a namespace.</p>', 'refs' => [ 'NamespaceProperties$DnsProperties' => '<p>A complex type that contains the ID for the hosted zone that Amazon Route 53 creates when you create a namespace.</p>', ], ], 'DnsRecord' => [ 'base' => '<p>A complex type that contains information about the resource record sets that you want Amazon Route 53 to create when you register an instance.</p>', 'refs' => [ 'DnsRecordList$member' => NULL, ], ], 'DnsRecordList' => [ 'base' => NULL, 'refs' => [ 'DnsConfig$DnsRecords' => '<p>An array that contains one <code>DnsRecord</code> object for each resource record set that you want Amazon Route 53 to create when you register an instance.</p>', 'DnsConfigChange$DnsRecords' => '<p>An array that contains one <code>DnsRecord</code> object for each resource record set that you want Amazon Route 53 to create when you register an instance.</p>', ], ], 'DuplicateRequest' => [ 'base' => '<p>This request tried to create an object that already exists.</p>', 'refs' => [], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'DuplicateRequest$Message' => NULL, 'InstanceNotFound$Message' => NULL, 'InvalidInput$Message' => NULL, 'NamespaceAlreadyExists$Message' => NULL, 'NamespaceNotFound$Message' => NULL, 'OperationNotFound$Message' => NULL, 'ResourceInUse$Message' => NULL, 'ResourceLimitExceeded$Message' => NULL, 'ServiceAlreadyExists$Message' => NULL, 'ServiceNotFound$Message' => NULL, ], ], 'FailureThreshold' => [ 'base' => NULL, 'refs' => [ 'HealthCheckConfig$FailureThreshold' => '<p>The number of consecutive health checks that an endpoint must pass or fail for Amazon Route 53 to change the current status of the endpoint from unhealthy to healthy or vice versa. For more information, see <a href="http://docs.aws.amazon.com/Route53/latest/DeveloperGuide/dns-failover-determining-health-of-endpoints.html">How Amazon Route 53 Determines Whether an Endpoint Is Healthy</a> in the <i>Amazon Route 53 Developer Guide</i>.</p>', ], ], 'FilterCondition' => [ 'base' => NULL, 'refs' => [ 'NamespaceFilter$Condition' => '<p>The operator that you want to use to determine whether <code>ListNamespaces</code> returns a namespace. Valid values for <code>condition</code> include:</p> <ul> <li> <p> <code>EQ</code>: When you specify <code>EQ</code> for the condition, you can choose to list only public namespaces or private namespaces, but not both. <code>EQ</code> is the default condition and can be omitted.</p> </li> <li> <p> <code>IN</code>: When you specify <code>IN</code> for the condition, you can choose to list public namespaces, private namespaces, or both. </p> </li> </ul>', 'OperationFilter$Condition' => '<p>The operator that you want to use to determine whether an operation matches the specified value. Valid values for condition include:</p> <ul> <li> <p> <code>EQ</code>: When you specify <code>EQ</code> for the condition, you can specify only one value. <code>EQ</code> is supported for <code>NAMESPACE_ID</code>, <code>SERVICE_ID</code>, <code>STATUS</code>, and <code>TYPE</code>. <code>EQ</code> is the default condition and can be omitted.</p> </li> <li> <p> <code>IN</code>: When you specify <code>IN</code> for the condition, you can specify a list of one or more values. <code>IN</code> is supported for <code>STATUS</code> and <code>TYPE</code>. An operation must match one of the specified values to be returned in the response.</p> </li> <li> <p> <code>BETWEEN</code>: Specify two values, a start date and an end date. The start date must be the first value. <code>BETWEEN</code> is supported for <code>U</code>. </p> </li> </ul>', 'ServiceFilter$Condition' => '<p>The operator that you want to use to determine whether a service is returned by <code>ListServices</code>. Valid values for <code>Condition</code> include the following:</p> <ul> <li> <p> <code>EQ</code>: When you specify <code>EQ</code>, specify one namespace ID for <code>Values</code>. <code>EQ</code> is the default condition and can be omitted.</p> </li> <li> <p> <code>IN</code>: When you specify <code>IN</code>, specify a list of the IDs for the namespaces that you want <code>ListServices</code> to return a list of services for.</p> </li> </ul>', ], ], 'FilterValue' => [ 'base' => NULL, 'refs' => [ 'FilterValues$member' => NULL, ], ], 'FilterValues' => [ 'base' => NULL, 'refs' => [ 'NamespaceFilter$Values' => '<p>If you specify <code>EQ</code> for <code>Condition</code>, specify either <code>DNS_PUBLIC</code> or <code>DNS_PRIVATE</code>.</p> <p>If you specify <code>IN</code> for <code>Condition</code>, you can specify <code>DNS_PUBLIC</code>, <code>DNS_PRIVATE</code>, or both.</p>', 'OperationFilter$Values' => '<p>Specify values that are applicable to the value that you specify for <code>Name</code>: </p> <ul> <li> <p> <b>NAMESPACE_ID</b>: Specify one namespace ID.</p> </li> <li> <p> <b>SERVICE_ID</b>: Specify one service ID.</p> </li> <li> <p> <b>STATUS</b>: Specify one or more statuses: <code>SUBMITTED</code>, <code>PENDING</code>, <code>SUCCEED</code>, or <code>FAIL</code>.</p> </li> <li> <p> <b>TYPE</b>: Specify one or more of the following types: <code>CREATE_NAMESPACE</code>, <code>DELETE_NAMESPACE</code>, <code>UPDATE_SERVICE</code>, <code>REGISTER_INSTANCE</code>, or <code>DEREGISTER_INSTANCE</code>.</p> </li> <li> <p> <b>UPDATE_DATE</b>: Specify a start date and an end date in Unix date/time format and Coordinated Universal Time (UTC). The start date must be the first value.</p> </li> </ul>', 'ServiceFilter$Values' => '<p>The values that are applicable to the value that you specify for <code>Condition</code> to filter the list of services.</p>', ], ], 'GetInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstanceResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInstancesHealthStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInstancesHealthStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetNamespaceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetNamespaceResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetOperationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetServiceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetServiceResponse' => [ 'base' => NULL, 'refs' => [], ], 'HealthCheckConfig' => [ 'base' => '<p> <i>Public DNS namespaces only.</i> A complex type that contains settings for an optional health check. If you specify settings for a health check, Amazon Route 53 associates the health check with all the resource record sets that you specify in <code>DnsConfig</code>.</p> <note> <p>The health check uses 30 seconds as the request interval. This is the number of seconds between the time that each Amazon Route 53 health checker gets a response from your endpoint and the time that it sends the next health check request. A health checker in each data center around the world sends your endpoint a health check request every 30 seconds. On average, your endpoint receives a health check request about every two seconds. Health checkers in different data centers don\'t coordinate with one another, so you\'ll sometimes see several requests per second followed by a few seconds with no health checks at all.</p> </note> <p>For information about the charges for health checks, see <a href="http://aws.amazon.com/route53/pricing">Amazon Route 53 Pricing</a>.</p>', 'refs' => [ 'CreateServiceRequest$HealthCheckConfig' => '<p> <i>Public DNS namespaces only.</i> A complex type that contains settings for an optional health check. If you specify settings for a health check, Amazon Route 53 associates the health check with all the resource record sets that you specify in <code>DnsConfig</code>.</p> <note> <p>The health check uses 30 seconds as the request interval. This is the number of seconds between the time that each Amazon Route 53 health checker gets a response from your endpoint and the time that it sends the next health check request. A health checker in each data center around the world sends your endpoint a health check request every 30 seconds. On average, your endpoint receives a health check request about every two seconds. Health checkers in different data centers don\'t coordinate with one another, so you\'ll sometimes see several requests per second followed by a few seconds with no health checks at all.</p> </note> <p>For information about the charges for health checks, see <a href="http://aws.amazon.com/route53/pricing">Amazon Route 53 Pricing</a>.</p>', 'Service$HealthCheckConfig' => '<p> <i>Public DNS namespaces only.</i> A complex type that contains settings for an optional health check. If you specify settings for a health check, Amazon Route 53 associates the health check with all the resource record sets that you specify in <code>DnsConfig</code>.</p> <note> <p>The health check uses 30 seconds as the request interval. This is the number of seconds between the time that each Amazon Route 53 health checker gets a response from your endpoint and the time that it sends the next health check request. A health checker in each data center around the world sends your endpoint a health check request every 30 seconds. On average, your endpoint receives a health check request about every two seconds. Health checkers in different data centers don\'t coordinate with one another, so you\'ll sometimes see several requests per second followed by a few seconds with no health checks at all.</p> </note> <p>For information about the charges for health checks, see <a href="http://aws.amazon.com/route53/pricing">Amazon Route 53 Pricing</a>.</p>', 'ServiceChange$HealthCheckConfig' => NULL, ], ], 'HealthCheckType' => [ 'base' => NULL, 'refs' => [ 'HealthCheckConfig$Type' => '<p>The type of health check that you want to create, which indicates how Amazon Route 53 determines whether an endpoint is healthy.</p> <important> <p>You can\'t change the value of <code>Type</code> after you create a health check.</p> </important> <p>You can create the following types of health checks:</p> <ul> <li> <p> <b>HTTP</b>: Amazon Route 53 tries to establish a TCP connection. If successful, Amazon Route 53 submits an HTTP request and waits for an HTTP status code of 200 or greater and less than 400.</p> </li> <li> <p> <b>HTTPS</b>: Amazon Route 53 tries to establish a TCP connection. If successful, Amazon Route 53 submits an HTTPS request and waits for an HTTP status code of 200 or greater and less than 400.</p> <important> <p>If you specify HTTPS for the value of <code>Type</code>, the endpoint must support TLS v1.0 or later.</p> </important> </li> <li> <p> <b>TCP</b>: Amazon Route 53 tries to establish a TCP connection.</p> </li> </ul> <p>For more information, see <a href="http://docs.aws.amazon.com/Route53/latest/DeveloperGuide/dns-failover-determining-health-of-endpoints.html">How Amazon Route 53 Determines Whether an Endpoint Is Healthy</a> in the <i>Amazon Route 53 Developer Guide</i>.</p>', ], ], 'HealthStatus' => [ 'base' => NULL, 'refs' => [ 'InstanceHealthStatusMap$value' => NULL, ], ], 'Instance' => [ 'base' => '<p>A complex type that contains information about an instance that Amazon Route 53 creates when you submit a <code>RegisterInstance</code> request.</p>', 'refs' => [ 'GetInstanceResponse$Instance' => '<p>A complex type that contains information about a specified instance.</p>', ], ], 'InstanceHealthStatusMap' => [ 'base' => NULL, 'refs' => [ 'GetInstancesHealthStatusResponse$Status' => '<p>A complex type that contains the IDs and the health status of the instances that you specified in the <code>GetInstancesHealthStatus</code> request.</p>', ], ], 'InstanceIdList' => [ 'base' => NULL, 'refs' => [ 'GetInstancesHealthStatusRequest$Instances' => '<p>An array that contains the IDs of all the instances that you want to get the health status for. To get the IDs for the instances that you\'ve created by using a specified service, submit a <a>ListInstances</a> request.</p> <p>If you omit <code>Instances</code>, Amazon Route 53 returns the health status for all the instances that are associated with the specified service.</p>', ], ], 'InstanceNotFound' => [ 'base' => '<p>No instance exists with the specified ID.</p>', 'refs' => [], ], 'InstanceSummary' => [ 'base' => '<p>A complex type that contains information about the instances that you created by using a specified service.</p>', 'refs' => [ 'InstanceSummaryList$member' => NULL, ], ], 'InstanceSummaryList' => [ 'base' => NULL, 'refs' => [ 'ListInstancesResponse$Instances' => '<p>Summary information about the instances that are associated with the specified service.</p>', ], ], 'InvalidInput' => [ 'base' => '<p>One or more specified values aren\'t valid. For example, when you\'re creating a namespace, the value of <code>Name</code> might not be a valid DNS name.</p>', 'refs' => [], ], 'ListInstancesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListInstancesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListNamespacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListNamespacesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListOperationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListOperationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListServicesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListServicesResponse' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'GetInstancesHealthStatusRequest$MaxResults' => '<p>The maximum number of instances that you want Amazon Route 53 to return in the response to a <code>GetInstancesHealthStatus</code> request. If you don\'t specify a value for <code>MaxResults</code>, Amazon Route 53 returns up to 100 instances.</p>', 'ListInstancesRequest$MaxResults' => '<p>The maximum number of instances that you want Amazon Route 53 to return in the response to a <code>ListInstances</code> request. If you don\'t specify a value for <code>MaxResults</code>, Amazon Route 53 returns up to 100 instances.</p>', 'ListNamespacesRequest$MaxResults' => '<p>The maximum number of namespaces that you want Amazon Route 53 to return in the response to a <code>ListNamespaces</code> request. If you don\'t specify a value for <code>MaxResults</code>, Amazon Route 53 returns up to 100 namespaces.</p>', 'ListOperationsRequest$MaxResults' => '<p>The maximum number of items that you want Amazon Route 53 to return in the response to a <code>ListOperations</code> request. If you don\'t specify a value for <code>MaxResults</code>, Amazon Route 53 returns up to 100 operations.</p>', 'ListServicesRequest$MaxResults' => '<p>The maximum number of services that you want Amazon Route 53 to return in the response to a <code>ListServices</code> request. If you don\'t specify a value for <code>MaxResults</code>, Amazon Route 53 returns up to 100 services.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'Operation$ErrorMessage' => '<p>If the value of <code>Status</code> is <code>FAIL</code>, the reason that the operation failed.</p>', ], ], 'Namespace' => [ 'base' => '<p>A complex type that contains information about a specified namespace.</p>', 'refs' => [ 'GetNamespaceResponse$Namespace' => '<p>A complex type that contains information about the specified namespace.</p>', ], ], 'NamespaceAlreadyExists' => [ 'base' => '<p>The namespace that you\'re trying to create already exists.</p>', 'refs' => [], ], 'NamespaceFilter' => [ 'base' => '<p>A complex type that identifies the namespaces that you want to list. You can choose to list public or private namespaces.</p>', 'refs' => [ 'NamespaceFilters$member' => NULL, ], ], 'NamespaceFilterName' => [ 'base' => NULL, 'refs' => [ 'NamespaceFilter$Name' => '<p>Specify <code>TYPE</code>.</p>', ], ], 'NamespaceFilters' => [ 'base' => NULL, 'refs' => [ 'ListNamespacesRequest$Filters' => '<p>A complex type that contains specifications for the namespaces that you want to list.</p> <p>If you specify more than one filter, an operation must match all filters to be returned by ListNamespaces.</p>', ], ], 'NamespaceName' => [ 'base' => NULL, 'refs' => [ 'CreatePrivateDnsNamespaceRequest$Name' => '<p>The name that you want to assign to this namespace. When you create a namespace, Amazon Route 53 automatically creates a hosted zone that has the same name as the namespace.</p>', 'CreatePublicDnsNamespaceRequest$Name' => '<p>The name that you want to assign to this namespace.</p>', 'Namespace$Name' => '<p>The name of the namespace, such as <code>example.com</code>.</p>', 'NamespaceSummary$Name' => '<p>The name of the namespace. When you create a namespace, Amazon Route 53 automatically creates a hosted zone that has the same name as the namespace.</p>', ], ], 'NamespaceNotFound' => [ 'base' => '<p>No namespace exists with the specified ID.</p>', 'refs' => [], ], 'NamespaceProperties' => [ 'base' => '<p>A complex type that contains information that is specific to the namespace type.</p>', 'refs' => [ 'Namespace$Properties' => '<p>A complex type that contains information that\'s specific to the type of the namespace.</p>', ], ], 'NamespaceSummariesList' => [ 'base' => NULL, 'refs' => [ 'ListNamespacesResponse$Namespaces' => '<p>An array that contains one <code>NamespaceSummary</code> object for each namespace that matches the specified filter criteria.</p>', ], ], 'NamespaceSummary' => [ 'base' => '<p>A complex type that contains information about a namespace.</p>', 'refs' => [ 'NamespaceSummariesList$member' => NULL, ], ], 'NamespaceType' => [ 'base' => NULL, 'refs' => [ 'Namespace$Type' => '<p>The type of the namespace. Valid values are <code>DNS_PUBLIC</code> and <code>DNS_PRIVATE</code>.</p>', 'NamespaceSummary$Type' => '<p>The type of the namespace, either public or private.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'GetInstancesHealthStatusRequest$NextToken' => '<p>For the first <code>GetInstancesHealthStatus</code> request, omit this value.</p> <p>If more than <code>MaxResults</code> instances match the specified criteria, you can submit another <code>GetInstancesHealthStatus</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'GetInstancesHealthStatusResponse$NextToken' => '<p>If more than <code>MaxResults</code> instances match the specified criteria, you can submit another <code>GetInstancesHealthStatus</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListInstancesRequest$NextToken' => '<p>For the first <code>ListInstances</code> request, omit this value.</p> <p>If more than <code>MaxResults</code> instances match the specified criteria, you can submit another <code>ListInstances</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListInstancesResponse$NextToken' => '<p>If more than <code>MaxResults</code> instances match the specified criteria, you can submit another <code>ListInstances</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListNamespacesRequest$NextToken' => '<p>For the first <code>ListNamespaces</code> request, omit this value.</p> <p>If more than <code>MaxResults</code> namespaces match the specified criteria, you can submit another <code>ListNamespaces</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListNamespacesResponse$NextToken' => '<p>If more than <code>MaxResults</code> namespaces match the specified criteria, you can submit another <code>ListNamespaces</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListOperationsRequest$NextToken' => '<p>For the first <code>ListOperations</code> request, omit this value.</p> <p>If more than <code>MaxResults</code> operations match the specified criteria, you can submit another <code>ListOperations</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListOperationsResponse$NextToken' => '<p>If more than <code>MaxResults</code> operations match the specified criteria, you can submit another <code>ListOperations</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListServicesRequest$NextToken' => '<p>For the first <code>ListServices</code> request, omit this value.</p> <p>If more than <code>MaxResults</code> services match the specified criteria, you can submit another <code>ListServices</code> request to get the next group of results. Specify the value of <code>NextToken</code> from the previous response in the next request.</p>', 'ListServicesResponse$NextToken' => '<p>If more than <code>MaxResults</code> operations match the specified criteria, the value of <code>NextToken</code> is the first service in the next group of services that were created by the current AWS account. To get the next group, specify the value of <code>NextToken</code> from the previous response in the next request.</p>', ], ], 'Operation' => [ 'base' => '<p>A complex type that contains information about a specified operation.</p>', 'refs' => [ 'GetOperationResponse$Operation' => '<p>A complex type that contains information about the operation.</p>', ], ], 'OperationFilter' => [ 'base' => '<p>A complex type that lets you select the operations that you want to list.</p>', 'refs' => [ 'OperationFilters$member' => NULL, ], ], 'OperationFilterName' => [ 'base' => NULL, 'refs' => [ 'OperationFilter$Name' => '<p>Specify the operations that you want to get:</p> <ul> <li> <p> <b>NAMESPACE_ID</b>: Gets operations related to specified namespaces.</p> </li> <li> <p> <b>SERVICE_ID</b>: Gets operations related to specified services.</p> </li> <li> <p> <b>STATUS</b>: Gets operations based on the status of the operations: <code>SUBMITTED</code>, <code>PENDING</code>, <code>SUCCEED</code>, or <code>FAIL</code>.</p> </li> <li> <p> <b>TYPE</b>: Gets specified types of operation.</p> </li> <li> <p> <b>UPDATE_DATE</b>: Gets operations that changed status during a specified date/time range. </p> </li> </ul>', ], ], 'OperationFilters' => [ 'base' => NULL, 'refs' => [ 'ListOperationsRequest$Filters' => '<p>A complex type that contains specifications for the operations that you want to list, for example, operations that you started between a specified start date and end date.</p> <p>If you specify more than one filter, an operation must match all filters to be returned by <code>ListOperations</code>.</p>', ], ], 'OperationId' => [ 'base' => NULL, 'refs' => [ 'CreatePrivateDnsNamespaceResponse$OperationId' => '<p>A value that you can use to determine whether the request completed successfully. To get the status of the operation, see <a>GetOperation</a>.</p>', 'CreatePublicDnsNamespaceResponse$OperationId' => '<p>A value that you can use to determine whether the request completed successfully. To get the status of the operation, see <a>GetOperation</a>.</p>', 'DeleteNamespaceResponse$OperationId' => '<p>A value that you can use to determine whether the request completed successfully. To get the status of the operation, see <a>GetOperation</a>.</p>', 'DeregisterInstanceResponse$OperationId' => '<p>A value that you can use to determine whether the request completed successfully. For more information, see <a>GetOperation</a>.</p>', 'Operation$Id' => '<p>The ID of the operation that you want to get information about.</p>', 'OperationSummary$Id' => '<p>The ID for an operation.</p>', 'RegisterInstanceResponse$OperationId' => '<p>A value that you can use to determine whether the request completed successfully. To get the status of the operation, see <a>GetOperation</a>.</p>', 'UpdateServiceResponse$OperationId' => '<p>A value that you can use to determine whether the request completed successfully. To get the status of the operation, see <a>GetOperation</a>.</p>', ], ], 'OperationNotFound' => [ 'base' => '<p>No operation exists with the specified ID.</p>', 'refs' => [], ], 'OperationStatus' => [ 'base' => NULL, 'refs' => [ 'Operation$Status' => '<p>The status of the operation. Values include the following:</p> <ul> <li> <p> <b>SUBMITTED</b>: This is the initial state immediately after you submit a request.</p> </li> <li> <p> <b>PENDING</b>: Amazon Route 53 is performing the operation.</p> </li> <li> <p> <b>SUCCESS</b>: The operation succeeded.</p> </li> <li> <p> <b>FAIL</b>: The operation failed. For the failure reason, see <code>ErrorMessage</code>.</p> </li> </ul>', 'OperationSummary$Status' => '<p>The status of the operation. Values include the following:</p> <ul> <li> <p> <b>SUBMITTED</b>: This is the initial state immediately after you submit a request.</p> </li> <li> <p> <b>PENDING</b>: Amazon Route 53 is performing the operation.</p> </li> <li> <p> <b>SUCCESS</b>: The operation succeeded.</p> </li> <li> <p> <b>FAIL</b>: The operation failed. For the failure reason, see <code>ErrorMessage</code>.</p> </li> </ul>', ], ], 'OperationSummary' => [ 'base' => '<p>A complex type that contains information about an operation that matches the criteria that you specified in a <a>ListOperations</a> request.</p>', 'refs' => [ 'OperationSummaryList$member' => NULL, ], ], 'OperationSummaryList' => [ 'base' => NULL, 'refs' => [ 'ListOperationsResponse$Operations' => '<p>Summary information about the operations that match the specified criteria.</p>', ], ], 'OperationTargetType' => [ 'base' => NULL, 'refs' => [ 'OperationTargetsMap$key' => NULL, ], ], 'OperationTargetsMap' => [ 'base' => NULL, 'refs' => [ 'Operation$Targets' => '<p>The name of the target entity that is associated with the operation:</p> <ul> <li> <p> <b>NAMESPACE</b>: The namespace ID is returned in the <code>ResourceId</code> property.</p> </li> <li> <p> <b>SERVICE</b>: The service ID is returned in the <code>ResourceId</code> property.</p> </li> <li> <p> <b>INSTANCE</b>: The instance ID is returned in the <code>ResourceId</code> property.</p> </li> </ul>', ], ], 'OperationType' => [ 'base' => NULL, 'refs' => [ 'Operation$Type' => '<p>The name of the operation that is associated with the specified ID.</p>', ], ], 'RecordTTL' => [ 'base' => NULL, 'refs' => [ 'DnsRecord$TTL' => '<p>The amount of time, in seconds, that you want DNS resolvers to cache the settings for this resource record set.</p>', ], ], 'RecordType' => [ 'base' => NULL, 'refs' => [ 'DnsRecord$Type' => '<p>The type of the resource, which indicates the value that Amazon Route 53 returns in response to DNS queries. The following values are supported:</p> <ul> <li> <p> <b>A</b>: Amazon Route 53 returns the IP address of the resource in IPv4 format, such as 192.0.2.44.</p> </li> <li> <p> <b>AAAA</b>: Amazon Route 53 returns the IP address of the resource in IPv6 format, such as 2001:0db8:85a3:0000:0000:abcd:0001:2345.</p> </li> <li> <p> <b>SRV</b>: Amazon Route 53 returns the value for an SRV record. The value for an SRV record uses the following template, which can\'t be changed:</p> <p> <code>priority weight port resource-record-set-name</code> </p> <p>The values of <code>priority</code> and <code>weight</code> are both set to 1. The value of port comes from the value that you specify for <code>Port</code> when you submit a <a>RegisterInstance</a> request.</p> </li> </ul>', ], ], 'RegisterInstanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'RegisterInstanceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ResourceCount' => [ 'base' => NULL, 'refs' => [ 'Namespace$ServiceCount' => '<p>The number of services that are associated with the namespace.</p>', 'Service$InstanceCount' => '<p>The number of instances that are currently associated with the service. Instances that were previously associated with the service but that have been deleted are not included in the count.</p>', 'ServiceSummary$InstanceCount' => '<p>The number of instances that are currently associated with the service. Instances that were previously associated with the service but that have been deleted are not included in the count.</p>', ], ], 'ResourceDescription' => [ 'base' => NULL, 'refs' => [ 'CreatePrivateDnsNamespaceRequest$Description' => '<p>A description for the namespace.</p>', 'CreatePublicDnsNamespaceRequest$Description' => '<p>A description for the namespace.</p>', 'CreateServiceRequest$Description' => '<p>A description for the service.</p>', 'Namespace$Description' => '<p>The description that you specify for the namespace when you create it.</p>', 'Service$Description' => '<p>The description of the service.</p>', 'ServiceChange$Description' => '<p>A description for the service.</p>', 'ServiceSummary$Description' => '<p>The description that you specify when you create the service.</p>', ], ], 'ResourceId' => [ 'base' => NULL, 'refs' => [ 'CreatePrivateDnsNamespaceRequest$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'CreatePrivateDnsNamespaceRequest$Vpc' => '<p>The ID of the Amazon VPC that you want to associate the namespace with.</p>', 'CreatePublicDnsNamespaceRequest$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'CreateServiceRequest$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'DeleteNamespaceRequest$Id' => '<p>The ID of the namespace that you want to delete.</p>', 'DeleteServiceRequest$Id' => '<p>The ID of the service that you want to delete.</p>', 'DeregisterInstanceRequest$ServiceId' => '<p>The ID of the service that the instance is associated with.</p>', 'DeregisterInstanceRequest$InstanceId' => '<p>The value that you specified for <code>Id</code> in the <a>RegisterInstance</a> request.</p>', 'DnsConfig$NamespaceId' => '<p>The ID of the namespace to use for DNS configuration.</p>', 'DnsProperties$HostedZoneId' => '<p>The ID for the hosted zone that Amazon Route 53 creates when you create a namespace.</p>', 'GetInstanceRequest$ServiceId' => '<p>The ID of the service that the instance is associated with.</p>', 'GetInstanceRequest$InstanceId' => '<p>The ID of the instance that you want to get information about.</p>', 'GetInstancesHealthStatusRequest$ServiceId' => '<p>The ID of the service that the instance is associated with.</p>', 'GetNamespaceRequest$Id' => '<p>The ID of the namespace that you want to get information about.</p>', 'GetOperationRequest$OperationId' => '<p>The ID of the operation that you want to get more information about.</p>', 'GetServiceRequest$Id' => '<p>The ID of the service that you want to get settings for.</p>', 'Instance$Id' => '<p>An identifier that you want to associate with the instance. Note the following:</p> <ul> <li> <p>You can use this value to update an existing instance.</p> </li> <li> <p>To associate a new instance, you must specify a value that is unique among instances that you associate by using the same service.</p> </li> </ul>', 'Instance$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'InstanceHealthStatusMap$key' => NULL, 'InstanceIdList$member' => NULL, 'InstanceSummary$Id' => '<p>The ID for an instance that you created by using a specified service.</p>', 'ListInstancesRequest$ServiceId' => '<p>The ID of the service that you want to list instances for.</p>', 'Namespace$Id' => '<p>The ID of a namespace.</p>', 'Namespace$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'NamespaceAlreadyExists$CreatorRequestId' => '<p>The <code>CreatorRequestId</code> that was used to create the namespace.</p>', 'NamespaceAlreadyExists$NamespaceId' => '<p>The ID of the existing namespace.</p>', 'NamespaceSummary$Id' => '<p>The ID of the namespace.</p>', 'OperationTargetsMap$value' => NULL, 'RegisterInstanceRequest$ServiceId' => '<p>The ID of the service that you want to use for settings for the resource record sets and health check that Amazon Route 53 will create.</p>', 'RegisterInstanceRequest$InstanceId' => '<p>An identifier that you want to associate with the instance. Note the following:</p> <ul> <li> <p>You can use this value to update an existing instance.</p> </li> <li> <p>To register a new instance, you must specify a value that is unique among instances that you register by using the same service.</p> </li> </ul>', 'RegisterInstanceRequest$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'Service$Id' => '<p>The ID that Amazon Route 53 assigned to the service when you created it.</p>', 'Service$CreatorRequestId' => '<p>An optional parameter that you can use to resolve concurrent creation requests. <code>CreatorRequestId</code> helps to determine if a specific client owns the namespace.</p>', 'ServiceAlreadyExists$CreatorRequestId' => '<p>The <code>CreatorRequestId</code> that was used to create the service.</p>', 'ServiceAlreadyExists$ServiceId' => '<p>The ID of the existing service.</p>', 'ServiceSummary$Id' => '<p>The ID that Amazon Route 53 assigned to the service when you created it.</p>', 'UpdateServiceRequest$Id' => '<p>The ID of the service that you want to update.</p>', ], ], 'ResourceInUse' => [ 'base' => '<p>The specified resource can\'t be deleted because it contains other resources. For example, you can\'t delete a service that contains any instances.</p>', 'refs' => [], ], 'ResourceLimitExceeded' => [ 'base' => '<p>The resource can\'t be created because you\'ve reached the limit on the number of resources.</p>', 'refs' => [], ], 'ResourcePath' => [ 'base' => NULL, 'refs' => [ 'HealthCheckConfig$ResourcePath' => '<p>The path that you want Amazon Route 53 to request when performing health checks. The path can be any value for which your endpoint will return an HTTP status code of 2xx or 3xx when the endpoint is healthy, such as the file <code>/docs/route53-health-check.html</code>. Amazon Route 53 automatically adds the DNS name for the service and a leading forward slash (<code>/</code>) character. </p>', ], ], 'Service' => [ 'base' => '<p>A complex type that contains information about the specified service.</p>', 'refs' => [ 'CreateServiceResponse$Service' => '<p>A complex type that contains information about the new service.</p>', 'GetServiceResponse$Service' => '<p>A complex type that contains information about the service.</p>', ], ], 'ServiceAlreadyExists' => [ 'base' => '<p>The service can\'t be created because a service with the same name already exists.</p>', 'refs' => [], ], 'ServiceChange' => [ 'base' => '<p>A complex type that contains changes to an existing service.</p>', 'refs' => [ 'UpdateServiceRequest$Service' => '<p>A complex type that contains the new settings for the service.</p>', ], ], 'ServiceFilter' => [ 'base' => '<p>A complex type that lets you specify the namespaces that you want to list services for.</p>', 'refs' => [ 'ServiceFilters$member' => NULL, ], ], 'ServiceFilterName' => [ 'base' => NULL, 'refs' => [ 'ServiceFilter$Name' => '<p>Specify <code>NAMESPACE_ID</code>.</p>', ], ], 'ServiceFilters' => [ 'base' => NULL, 'refs' => [ 'ListServicesRequest$Filters' => '<p>A complex type that contains specifications for the namespaces that you want to list services for. </p> <p>If you specify more than one filter, an operation must match all filters to be returned by <code>ListServices</code>.</p>', ], ], 'ServiceName' => [ 'base' => NULL, 'refs' => [ 'CreateServiceRequest$Name' => '<p>The name that you want to assign to the service.</p>', 'Service$Name' => '<p>The name of the service.</p>', 'ServiceSummary$Name' => '<p>The name of the service.</p>', ], ], 'ServiceNotFound' => [ 'base' => '<p>No service exists with the specified ID.</p>', 'refs' => [], ], 'ServiceSummariesList' => [ 'base' => NULL, 'refs' => [ 'ListServicesResponse$Services' => '<p>An array that contains one <code>ServiceSummary</code> object for each service that matches the specified filter criteria.</p>', ], ], 'ServiceSummary' => [ 'base' => '<p>A complex type that contains information about a specified service.</p>', 'refs' => [ 'ServiceSummariesList$member' => NULL, ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'Namespace$CreateDate' => '<p>The date that the namespace was created, in Unix date/time format and Coordinated Universal Time (UTC).</p>', 'Operation$CreateDate' => '<p>The date and time that the request was submitted, in Unix date/time format and Coordinated Universal Time (UTC).</p>', 'Operation$UpdateDate' => '<p>The date and time that the value of <code>Status</code> changed to the current value, in Unix date/time format and Coordinated Universal Time (UTC).</p>', 'Service$CreateDate' => '<p>The date and time that the service was created, in Unix format and Coordinated Universal Time (UTC).</p>', ], ], 'UpdateServiceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateServiceResponse' => [ 'base' => NULL, 'refs' => [], ], ],];
